[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4688: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4690: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4691: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4692: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
Cheshire Cat Computing :: View topic - User defined graphs not working in v2.14 (worked in v2.11)
Cheshire Cat Computing
http://steveshipway.org/forum/

User defined graphs not working in v2.14 (worked in v2.11)
http://steveshipway.org/forum/viewtopic.php?f=2&t=259
Page 1 of 1

Author:  mpdharley [ Wed Jun 09, 2004 8:38 am ]
Post subject:  User defined graphs not working in v2.14 (worked in v2.11)

I have several user defined graphs that work fine under v2.11, but display an error under v2.14. I'm using rrdtool v1.0.38.

Following is one of the graphs:

routers.cgi*Graph[jaxwanrt1_170.203.208.38]: bb-in noo
routers.cgi*Graph[jaxwanrt1_170.203.208.46]: bb-in
routers.cgi*Graph[jaxwanrt1_170.203.71.1]: bb-in
routers.cgi*Graph[jaxwanrt1_170.203.71.5]: bb-in
routers.cgi*Desc[_bb-in]: Business Backbone Inbound Traffic Total
routers.cgi*ShortDesc[_bb-in]: Business BBone In
routers.cgi*GraphStyle[_bb-in]: stack
routers.cgi*Icon[_bb-in]: traffic-sm.gif

The error that I get is:

RRD Error: invalid rpn expression '0,fin1,DUP,UN,EXC,PREV(fin1),DUP,UN,EXC,0,EXC,IF,EXC,IF,+,fin2,DUP,UN,EXC,PREV(fin2),DUP,UN,EXC,0,EXC,IF,EXC,IF,+,fin3,DUP,UN,EXC,PREV(fin3),DUP,UN,EXC,0,EXC,IF,EXC,IF,+,fin4,DUP,UN,EXC,PREV(fin4),DUP,UN,EXC,0,EXC,IF,EXC,IF,+'

You can visit the configuration verification page here.

There is additional information after that (the rrd parameter info). It is quite lengthy and I will post it if anyone thinks it will be helpful.

Thanks

Mike

Author:  stevesh [ Wed Jun 09, 2004 11:37 am ]
Post subject: 

Checking the RRDTool CHANGES file, it appears that PREV was not available before v1.0.39. You have 1.0.38, I am testing with 1.0.46.

V2.14 has changed the method of calculating the userdefined value totals, because on many machines the data collection was out of synch and this resulted in incorrect or zero 'last' values. To fix this required the use of the PREV() function in RRDTool. However, your version is too old to support it...

What I will do is to add a check for RRDTool version, and use the old code if you have <=1.0.38. I can send you the patched version, or alternatively upgrade your RRDTool (this is the recommended solution, since Tobi has added a few bugfixes since that point).

I will also add 'requires 1.0.39 or later' to the documentation. Sorry for not making it clear beforehand,

Steve

Author:  mpdharley [ Wed Jun 09, 2004 1:56 pm ]
Post subject: 

Thanks for the info, I thought it might be something like that but wanted to check first. I'll upgrade my RRDTool to solve the problem.

Author:  mpdharley [ Thu Jun 10, 2004 4:25 am ]
Post subject: 


Page 1 of 1 All times are UTC + 12 hours [ DST ]
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/